%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 20;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate heapsize

Name:           rust-heapsize
Version:        0.4.2
Release:    1%{?dist}
Summary:        Infrastructure for measuring the total runtime size of an object on the heap

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/heapsize
Source0:         %{crates_source}
Patch:          heapsize-fix-metadata-auto.diff
Patch:          heapsize-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Infrastructure for measuring the total runtime size of an object on the
heap.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flexible-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flexible-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "flexible-tests" feature of the "%{crate}" crate.

%files       -n %{name}+flexible-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -f flexible-tests
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-1
- initial build
